[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.EditorEditingDone

Implements the OnEditingDone event handler for a tree node editor on the control.

## Declaration

Source position: comctrls.pp line 3560

`protected procedure TCustomTreeView.EditorEditingDone(`
`Sender: TObject`
`); virtual;`

## Arguments

`Sender` |  | Object for the event notification.

## Description

Performs actions when the editor has finished editing a tree node on the control. It calls EndEditing to update state flags, and to signal assigned OnEdited and OnEditingEnd events handlers when the Text for the tree node is changed. It calls SetFocus to restore focus to the tree view control if the editor was assigned and had focus on entry to the method.

EditorEditingDone is used as the OnEditingDone event handler for the internal TEdit control created when the BeginEditing method is called.

## See also

TCustomTreeView.EditingItem |  | Contains the tree node being edited in the control.
TCustomTreeView.EndEditing |  | Updates the specified tree node and hides editor.
TCustomTreeView.OnEdited |  | Event handler signalled when the tree view control has been edited.
TCustomTreeView.OnEditingEnd |  | Event handler signalled when EndEditing is called for the control.
TCustomTreeView.BeginEditing |  | Prepares the control to edit the text for the specified tree node.
TTreeNode.Text |  | Text displayed for the tree node.
TEdit.OnEditingDone |  | Event handler signalled when editing is completed for the control.
TWinControl.SetFocus |  | Ensures that the control or window handle has focus.